#
# This file is part of gunicorn released under the MIT license.
# See the NOTICE for more information.

from gunicorn.config import Config

cfg = Config()
# Request line is 8194 bytes, header line is 8209 bytes (both include CRLF)
cfg.set('limit_request_line', 8200)
cfg.set('limit_request_field_size', 8210)
request = {
    "method": "PUT",
    "uri":
    uri("[encoded data, 8176 characters]"),
    "version": (1, 0),
    "headers": [
        ("SOMEHEADER", "[encoded data, 8192 characters]")
    ],
    "body": ''
}
